MODULE traswp
   !!==============================================================================
   !!                       ***  MODULE  traswp  ***
   !! Ocean active tracers: swapping array 
   !!==============================================================================
   USE par_oce
   USE oce             ! ocean dynamics and active tracers

   IMPLICIT NONE
   PRIVATE

   PUBLIC   tra_swap    ! routine called by step.F90
   PUBLIC   tra_unswap    ! routine called by step.F90

   !!----------------------------------------------------------------------
   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
   !! $Id: trasbc.F90 1739 2009-11-19 13:24:00Z rblod $
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------

CONTAINS

   SUBROUTINE tra_swap 
      !!----------------------------------------------------------------------
      !!                  ***  ROUTINE tra_swp  ***
      !!                   
      !! ** Purpose : Store temperature and salinity aaray into a 4D array 
      !!
      !!----------------------------------------------------------------------

      tsn(:,:,:,jp_tem) = tn(:,:,:)      ;      tsn(:,:,:,jp_sal) = sn(:,:,:)
      tsb(:,:,:,jp_tem) = tb(:,:,:)      ;      tsb(:,:,:,jp_sal) = sb(:,:,:)
      tsa(:,:,:,jp_tem) = ta(:,:,:)      ;      tsa(:,:,:,jp_sal) = sa(:,:,:)

   END SUBROUTINE tra_swap

   SUBROUTINE tra_unswap 
      !!----------------------------------------------------------------------
      !!                  ***  ROUTINE tra_unswap  ***
      !!                   
      !! ** Purpose : Store temperature and salinity aaray into a 4D array 
      !!
      !!----------------------------------------------------------------------

      tn(:,:,:) = tsn(:,:,:,jp_tem)      ;      sn(:,:,:) = tsn(:,:,:,jp_sal)
      tb(:,:,:) = tsb(:,:,:,jp_tem)      ;      sb(:,:,:) = tsb(:,:,:,jp_sal)
      ta(:,:,:) = tsa(:,:,:,jp_tem)      ;      sa(:,:,:) = tsa(:,:,:,jp_sal)

   END SUBROUTINE tra_unswap

   !!======================================================================
END MODULE traswp
